<schema xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:Budim="https://www.budimex.pl" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" targetNamespace="https://www.budimex.pl" xmlns="http://www.w3.org/2001/XMLSchema">
  <import schemaLocation="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor.xsd" namespace="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor" />
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/linkbase" />
  <import schemaLocation="http://www.xbrl.org/2006/xbrldi-2006.xsd" namespace="http://xbrl.org/2006/xbrldi" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/non-numeric" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/numeric" />
  <annotation>
    <appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="25940093SDJZW2C1V355-2021-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="25940093SDJZW2C1V355-2021-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="25940093SDJZW2C1V355-2021-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor-lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="25940093SDJZW2C1V355-2021-12-31_lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="25940093SDJZW2C1V355-2021-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:roleType roleURI="https://www.budimex.pl/role/GeneralInformation" id="GeneralInformation">
        <link:definition>General Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.budimex.pl/role/BalanceSheet" id="BalanceSheet">
        <link:definition>Balance Sheet</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.budimex.pl/role/IncomeStatement" id="IncomeStatement">
        <link:definition>Income Statement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.budimex.pl/role/ChangesinEquity" id="ChangesinEquity">
        <link:definition>Changes in Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.budimex.pl/role/ComprehensiveIncome" id="ComprehensiveIncome">
        <link:definition>Comprehensive Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.budimex.pl/role/CashFlow" id="CashFlow">
        <link:definition>Cash Flow</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.budimex.pl/role/Anchoring" id="Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </appinfo>
  </annotation>
  <element name="ChangeInValuationOfContructionContractsAndProvisionForLosses" id="Budim_ChangeInValuationOfContructionContractsAndProvisionForLosses" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="ComprehensiveIncomeFromContinuingOperations" id="Budim_ComprehensiveIncomeFromContinuingOperations" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" id="Budim_ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" id="Budim_ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="ComprehensiveIncomeFromDiscontinuedOperations" id="Budim_ComprehensiveIncomeFromDiscontinuedOperations" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" id="Budim_ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" id="Budim_ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="EquityBeforeRestatement" id="Budim_EquityBeforeRestatement" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" id="Budim_LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="LongTermRetentionsForConstructionContractsAssets" id="Budim_LongTermRetentionsForConstructionContractsAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="LongTermRetentionsForConstructionContractsLiabilities" id="Budim_LongTermRetentionsForConstructionContractsLiabilities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="ProfitBeforeTaxFromDiscontinuedOperations" id="Budim_ProfitBeforeTaxFromDiscontinuedOperations" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" id="Budim_ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="ReceivablesFromServiceConcessionAgreements" id="Budim_ReceivablesFromServiceConcessionAgreements" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="RestatementOfEquity" id="Budim_RestatementOfEquity" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="ShortTermLoansBorrowinsAndOtherSourcesOfFinance" id="Budim_ShortTermLoansBorrowinsAndOtherSourcesOfFinance" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="ShortTermRetentionsForConstructionContractsAssets" id="Budim_ShortTermRetentionsForConstructionContractsAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="ShortTermRetentionsForConstructionContractsLiabilities" id="Budim_ShortTermRetentionsForConstructionContractsLiabilities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="ValuationOfConstructionContractsAssets" id="Budim_ValuationOfConstructionContractsAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="ValuationOfConstructionContractsLiabilities" id="Budim_ValuationOfConstructionContractsLiabilities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="StatementOfFinancialPositionLineItems" id="Budim_StatementOfFinancialPositionLineItems" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="false" abstract="true" xbrli:periodType="duration" />
  <element name="StatementOfFinancialPositionTable" id="Budim_StatementOfFinancialPositionTable" type="xbrli:stringItemType" substitutionGroup="xbrldt:hypercubeItem" nillable="false" abstract="true" xbrli:periodType="duration" />
</schema>